<?xml version="1.0" encoding="utf-8"?>
<instrumentationManifest xsi:schemaLocation="http://schemas.microsoft.com/win/2004/08/events eventman.xsd" xmlns="http://schemas.microsoft.com/win/2004/08/events" xmlns:win="http://manifests.microsoft.com/win/2004/08/windows/events" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:trace="http://schemas.microsoft.com/win/2004/08/events/trace">
	<instrumentation>
		<events>
			<provider name="Solarflare-Network adapters-SFB driver" guid="{38535266-C4AC-4AA0-8BC8-B5854C28C56C}" symbol="BusEventProvider" resourceFileName="%SystemRoot%\System32\Drivers\SFBa.sys" messageFileName="%SystemRoot%\System32\Drivers\SFBa.sys">
				<events>
					<event symbol="LoadEvent" value="1" version="0" channel="BusDebugChannel" level="win:Informational" task="win:None" opcode="win:Start" template="BusEventProvider.template.LoadEvent" keywords="Diagnostics " message="$(string.BusEventProvider.event.LoadEvent.message)">
					</event>
					<event symbol="UnloadEvent" value="2" version="0" channel="BusDebugChannel" level="win:Informational" task="win:None" opcode="win:Stop" template="BusEventProvider.template.UnloadEvent" keywords="Diagnostics " message="$(string.BusEventProvider.event.UnloadEvent.message)">
					</event>
				</events>
				<levels>
				</levels>
				<tasks>
				</tasks>
				<opcodes>
				</opcodes>
				<channels>
          <channel name="Solarflare-Network adapters-SFB driver/Analytic" chid="BusAnalyticChannel" symbol="BusAnalyticChannel" type="Analytic" enabled="false" isolation="System" message="$(string.BusEventProvider.channel.Analytic.message)">
          </channel>
          <channel name="Solarflare-Network adapters-SFB driver/Debug" chid="BusDebugChannel" symbol="BusDebugChannel" type="Debug" enabled="false" isolation="System" message="$(string.BusEventProvider.channel.Debug.message)">
					</channel>
					<channel name="Solarflare-Network adapters-SFB driver/Operational" chid="BusOperationalChannel" symbol="BusOperationalChannel" type="Operational" enabled="true" isolation="System" message="$(string.BusEventProvider.channel.Operational.message)">
					</channel>
				</channels>
				<keywords>
					<keyword name="Diagnostics" symbol="BusDiagnosticsKeyword" mask="0x800000000000" message="$(string.BusEventProvider.keyword.Diagnostics.message)">
					</keyword>
				</keywords>
				<templates>
					<template tid="BusEventProvider.template.LoadEvent">
						<data name="Status" inType="win:UInt32" outType="xs:unsignedInt">
						</data>
					</template>
					<template tid="BusEventProvider.template.UnloadEvent">
					</template>
				</templates>
			</provider>
		</events>
	</instrumentation>
	<localization>
		<resources culture="en-US">
			<stringTable>
				<string id="task.None" value="None">
				</string>
				<string id="opcode.Stop" value="Stop">
				</string>
				<string id="opcode.Start" value="Start">
				</string>
				<string id="level.Informational" value="Information">
				</string>
				<string id="BusEventProvider.keyword.Diagnostics.message" value="Diagnostics">
				</string>
				<string id="BusEventProvider.event.UnloadEvent.message" value="Driver Unloaded">
				</string>
				<string id="BusEventProvider.event.LoadEvent.message" value="Driver Loaded">
				</string>
				<string id="BusEventProvider.channel.Operational.message" value="Operational">
				</string>
				<string id="BusEventProvider.channel.Debug.message" value="Debug">
				</string>
				<string id="BusEventProvider.channel.Analytic.message" value="Analytic">
				</string>
			</stringTable>
		</resources>
	</localization>
</instrumentationManifest>
