<?xml version="1.0" encoding="utf-8"?>
<instrumentationManifest xsi:schemaLocation="http://schemas.microsoft.com/win/2004/08/events eventman.xsd" xmlns="http://schemas.microsoft.com/win/2004/08/events" xmlns:win="http://manifests.microsoft.com/win/2004/08/windows/events" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:trace="http://schemas.microsoft.com/win/2004/08/events/trace">
	<instrumentation>
		<events>
			<provider name="Solarflare-Network adapters-SFN6 driver" guid="{60302335-BD10-409D-92A6-2E7C93AA4EC6}" symbol="Ndis6EventProvider" resourceFileName="%SystemRoot%\System32\Drivers\SFN6a.sys" messageFileName="%SystemRoot%\System32\Drivers\SFN6a.sys">
				<events>
					<event symbol="LoadEvent" value="1" version="0" channel="Ndis6DebugChannel" level="win:Informational" task="win:None" opcode="win:Start" template="Ndis6EventProvider.template.LoadEvent" keywords="Diagnostics " message="$(string.Ndis6EventProvider.event.LoadEvent.message)">
					</event>
					<event symbol="UnloadEvent" value="2" version="0" channel="Ndis6DebugChannel" level="win:Informational" task="win:None" opcode="win:Stop" template="Ndis6EventProvider.template.UnloadEvent" keywords="Diagnostics " message="$(string.Ndis6EventProvider.event.UnloadEvent.message)">
					</event>
				</events>
				<levels>
				</levels>
				<tasks>
				</tasks>
				<opcodes>
				</opcodes>
				<channels>
          <channel name="Solarflare-Network adapters-SFN6 driver/Analytic" chid="Ndis6AnalyticChannel" symbol="Ndis6AnalyticChannel" type="Analytic" enabled="false" isolation="System" message="$(string.Ndis6EventProvider.channel.Analytic.message)">
          </channel>
          <channel name="Solarflare-Network adapters-SFN6 driver/Debug" chid="Ndis6DebugChannel" symbol="Ndis6DebugChannel" type="Debug" enabled="false" isolation="System" message="$(string.Ndis6EventProvider.channel.Debug.message)">
					</channel>
					<channel name="Solarflare-Network adapters-SFN6 driver/Operational" chid="Ndis6OperationalChannel" symbol="Ndis6OperationalChannel" type="Operational" enabled="true" isolation="System" message="$(string.Ndis6EventProvider.channel.Operational.message)">
					</channel>
				</channels>
				<keywords>
					<keyword name="Diagnostics" symbol="Ndis6DiagnosticsKeyword" mask="0x800000000000" message="$(string.Ndis6EventProvider.keyword.Diagnostics.message)">
					</keyword>
				</keywords>
				<templates>
					<template tid="Ndis6EventProvider.template.LoadEvent">
						<data name="Status" inType="win:UInt32" outType="xs:unsignedInt">
						</data>
					</template>
					<template tid="Ndis6EventProvider.template.UnloadEvent">
					</template>
				</templates>
			</provider>
		</events>
	</instrumentation>
	<localization>
		<resources culture="en-US">
			<stringTable>
				<string id="task.None" value="None">
				</string>
				<string id="opcode.Stop" value="Stop">
				</string>
				<string id="opcode.Start" value="Start">
				</string>
				<string id="level.Informational" value="Information">
				</string>
				<string id="Ndis6EventProvider.keyword.Diagnostics.message" value="Diagnostics">
				</string>
				<string id="Ndis6EventProvider.event.UnloadEvent.message" value="Driver Unloaded">
				</string>
				<string id="Ndis6EventProvider.event.LoadEvent.message" value="Driver Loaded">
				</string>
				<string id="Ndis6EventProvider.channel.Operational.message" value="Operational">
				</string>
				<string id="Ndis6EventProvider.channel.Debug.message" value="Debug">
				</string>
				<string id="Ndis6EventProvider.channel.Analytic.message" value="Analytic">
				</string>
			</stringTable>
		</resources>
	</localization>
</instrumentationManifest>
